PARACT p1
START p2
SET WINDOW -4,4,-4,4
DRAW grid
SIGNAL Ready
FOR k=1 TO 5 STEP 2
   CALL plotgraph(k)
NEXT k
END PARACT
PARACT p2
WAIT EVENT Ready
FOR k=2 TO 4 STEP 2
   call plotgraph(k)
NEXT k
END PARACT
EXTERNAL SUB plotgraph(k)
SEIZE plotlines
   SET LINE COLOR k
   SET LINE STYLE k
   FOR x=-4 TO 4 STEP 0.1
      PLOT LINES:x,x^k;
   NEXT x
   PLOT LINES
END SEIZE
END sub

